Package org.apache.commons.beanutils.converters

# Class DoubleArrayConverter

java.lang.Object
org.apache.commons.beanutils.converters.AbstractArrayConverter
org.apache.commons.beanutils.converters.DoubleArrayConverter

All Implemented Interfaces:
  `Converter`

@Deprecated public final class DoubleArrayConverter extends AbstractArrayConverter
Deprecated.
Replaced by the new `ArrayConverter` implementation

Standard `Converter` implementation that converts an incoming String into a primitive array of double. On a conversion failure, returns a specified default value or throws a `ConversionException` depending on how this instance is constructed.

Since:
  1.4

- ## Field Summary

  ### Fields inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

  `defaultValue, NO_DEFAULT, strings, useDefault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleArrayConverter()`
  Deprecated.
  Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.
  `DoubleArrayConverter(Object defaultValue)`
  Deprecated.
  Create a `Converter` that will return the specified default value if a conversion error occurs.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `convert(Class type, Object value)`
  Deprecated.
  Convert the specified input object into an output object of the specified type.

  ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

  `parseElements`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DoubleArrayConverter

    public DoubleArrayConverter()
    Deprecated.
    Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

  - ### DoubleArrayConverter

    public DoubleArrayConverter(Object defaultValue)
    Deprecated.
    Create a `Converter` that will return the specified default value if a conversion error occurs.
    Parameters:
      `defaultValue` - The default value to be returned

- ## Method Details

  - ### convert

    public Object convert(Class type, Object value)
    Deprecated.
    Convert the specified input object into an output object of the specified type.
    Specified by:
      `convert` in interface `Converter`
    Specified by:
      `convert` in class `AbstractArrayConverter`
    Parameters:
      `type` - Data type to which this value should be converted
      `value` - The input value to be converted
    Returns:
      the converted value
    Throws:
      `ConversionException` - if conversion cannot be performed successfully